/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_EQUIMEDICO             		                   		      */
/* Tabela : EQUIMEDICO                          			         		      */
/*                                       				     							   */
/* Criao:                                                          	      */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_EQUIMEDICO'  and
            type = 'TR'                   and
            u.uid = o.uid                 and
            u.name = USER)
  DROP TRIGGER DTULTATU_EQUIMEDICO
  GO


CREATE TRIGGER DTULTATU_EQUIMEDICO
ON EQUIMEDICO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'EQUIMEDICO', CDFILIAL, 'CDFILIAL=' + CDFILIAL + '; CDEQUIMED='+ CDEQUIMED +'; CDMEDICO='+ CDMEDICO +';', GETDATE() 
                               FROM DELETED)
   END
   ELSE BEGIN
      UPDATE EQUIMEDICO
      SET DTULTATUEQMD = GETDATE()
      FROM INSERTED
      WHERE
         (EQUIMEDICO.CDFILIAL  = INSERTED.CDFILIAL  ) AND
         (EQUIMEDICO.CDEQUIMED = INSERTED.CDEQUIMED ) AND
         (EQUIMEDICO.CDMEDICO  = INSERTED.CDMEDICO  ) 
   END;
END;
GO



